# AOMappingHasApplicationIndex

Searches for the supplied application index.

### Synopsis

    PetscErrorCode PETSCDM_DLLEXPORT AOMappingHasApplicationIndex(AO ao, PetscInt idex, PetscTruth *hasIndex)

### Input Parameters

| ao | - The AOMapping
| index | - The application index

### Output Parameter

hasIndex -Flag is PETSC_TRUE if the index exists

### Keywords

AO, index

### See Also

AOMappingHasPetscIndex(), AOCreateMapping()

Level:intermediate
Location: src/dm/ao/impls/mapping/aomapping.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages